Send SMS
curl --request POST \
--url https://api.dugble.com/sms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"to": "+233201234567",
"from": "Dugble",
"body": "Your verification code is 123456."
}
'import requests
url = "https://api.dugble.com/sms"
payload = {
"to": "+233201234567",
"from": "Dugble",
"body": "Your verification code is 123456."
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
to: '+233201234567',
from: 'Dugble',
body: JSON.stringify('Your verification code is 123456.')
})
};
fetch('https://api.dugble.com/sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}SMS
Send SMS
Queues an SMS for immediate or scheduled delivery. Recipient numbers must use international format.
POST
/
sms
Send SMS
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Headers
Required unique key for email and SMS send requests. Maximum 256 characters.
Maximum string length:
256Body
application/json
Supported E.164 destination number.
Pattern:
^[+][1-9][0-9]{7,14}$Example:
"+233201234567"
Approved sender ID.
Required string length:
1 - 11Example:
"Dugble"
Required string length:
1 - 1600Future RFC 3339 timestamp or supported relative value such as 'in 5 min'. The resolved time must be at least 30 seconds ahead.